#!/usr/bin/python
#coding:utf-8
from django.db import models


class Column(models.Model):
    pass

    def __unicode__(self):
        return unicode(self.id)


class Tutorial(models.Model):
    column = models.ForeignKey(Column,null=True,blank=True,verbose_name=u'归属栏目')
    pub_date = models.DateTimeField(u'发表时间', auto_now_add=True, editable=True)
    update_time = models.DateTimeField(u'更新时间',auto_now=True, null=True)

    def __unicode__(self):
        return unicode(self.id)


    def get_absolute_url(self):
        return '/{}/{}.html'.format(self.column.pk, self.pk)